=== packaging/linux/arch/PKGBUILD ===
# Maintainer: Jack O'Connor <oconnor663@gmail.com>

###
### NOTE: This file is out of date. Our prerelease PKGBUILD lives at
###       git+ssh://aur@aur.archlinux.org:keybase-git
###

pkgname=keybase
pkgdesc='LOCAL BUILD'
license=('BSD')
pkgver=0
pkgver() {
  "$srcdir/client/packaging/version.sh" prerelease | sed 's/-/_/g'
}
pkgrel=1
arch=('i686' 'x86_64')
depends=(fuse)
makedepends=(go npm git rsync)
source=(
  'git+ssh://git@github.com/keybase/client'
  'git+ssh://git@github.com/keybase/kbfs'
)
md5sums=('SKIP' 'SKIP')
install=keybase.install

build() {
  client/packaging/linux/build_binaries.sh prerelease build_dir
}

package() {
  if [ "$CARCH" = x86_64 ] ; then
    debian_arch=amd64
  else
    debian_arch=i386
  fi
  cp -r "$srcdir/build_dir/binaries/$debian_arch"/* "$pkgdir"
}
